PLplot: plframe.c File Reference

PLplot 5.15.0

Classes | Macros | Functions | Variables
plframe.c File Reference
`#include "plserver.h"`
`#include "plxwd.h"`
`#include "tcpip.h"`
`#include <fcntl.h>`

Go to the source code of this file.

## Classes
struct | PlFrame

## Macros
#define | DEBUGx
#define | NEED_PLDEBUG
#define | NDEV 100
#define | BUFFER_FIFO 1
#define | FH_FIFO 0
#define | plframe_cmd(code) if ( ( code ) == TCL_ERROR ) return ( TCL_ERROR );
#define | Tk_Cursor Cursor
#define | REFRESH_PENDING 1
#define | RESIZE_PENDING 2
#define | REDRAW_PENDING 4
#define | UPDATE_V_SCROLLBAR 8
#define | UPDATE_H_SCROLLBAR 16
#define | DEF_PLFRAME_BG_COLOR "Black"
#define | DEF_PLFRAME_BG_MONO "White"
#define | DEF_PLFRAME_BORDER_WIDTH "0"
#define | DEF_PLFRAME_CURSOR ( (char *) NULL )
#define | DEF_PLFRAME_HEIGHT "0"
#define | DEF_PLFRAME_RELIEF "flat"
#define | DEF_PLFRAME_WIDTH "0"
#define | FreeProcArg ClientData
#define | INSTALL_COLORMAP_IN_TK
#define | FILECAST

## Functions
int | plFrameCmd (ClientData, Tcl_Interp *, int, const char **)
static void | DestroyPlFrame (FreeProcArg)
static void | DisplayPlFrame (ClientData)
static void | PlFrameInit (ClientData)
static void | PlFrameConfigureEH (ClientData, XEvent *)
static void | PlFrameExposeEH (ClientData, XEvent *)
static void | PlFrameMotionEH (ClientData, register XEvent *)
static void | PlFrameEnterEH (ClientData, register XEvent *)
static void | PlFrameLeaveEH (ClientData, register XEvent *)
static void | PlFrameKeyEH (ClientData, register XEvent *)
static int | PlFrameWidgetCmd (ClientData, Tcl_Interp *, int, const char **)
static int | ReadData (ClientData, int)
static void | Install_cmap (PlFrame *plFramePtr)
static int | Closelink (Tcl_Interp *, PlFrame *, int, const char **)
static int | Cmd (Tcl_Interp *, PlFrame *, int, const char **)
static int | ColorManip (Tcl_Interp *, PlFrame *, int, const char **)
static int | ConfigurePlFrame (Tcl_Interp *, PlFrame *, int, const char **, int)
static int | Draw (Tcl_Interp *, PlFrame *, int, const char **)
static int | Info (Tcl_Interp *, PlFrame *, int, const char **)
static int | Openlink (Tcl_Interp *, PlFrame *, int, const char **)
static int | Orient (Tcl_Interp *, PlFrame *, int, const char **)
static int | Page (Tcl_Interp *, PlFrame *, int, const char **)
static int | Print (Tcl_Interp *, PlFrame *, int, const char **)
static int | Redraw (Tcl_Interp *, PlFrame *, int, const char **)
static int | Save (Tcl_Interp *, PlFrame *, int, const char **)
static int | View (Tcl_Interp *, PlFrame *, int, const char **)
static int | xScroll (Tcl_Interp *, PlFrame *, int, const char **)
static int | yScroll (Tcl_Interp *, PlFrame *, int, const char **)
static int | report (Tcl_Interp *, PlFrame *, int, const char **)
static void | CreateXhairs (PlFrame *)
static void | DestroyXhairs (PlFrame *)
static void | DrawXhairs (PlFrame *, int, int)
static void | UpdateXhairs (PlFrame *)
static void | CreateRband (PlFrame *)
static void | DestroyRband (PlFrame *)
static void | DrawRband (PlFrame *, int, int)
static void | UpdateRband (PlFrame *)
static void | process_bop (void *, int *)
static void | process_eop (void *, int *)
static void | gbox (PLFLT *, PLFLT *, PLFLT *, PLFLT *, const char **)
static void | UpdateVScrollbar (register PlFrame *)
static void | UpdateHScrollbar (register PlFrame *)
int | plFrameCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char **argv)
static void | PlFrameConfigureEH (ClientData clientData, register XEvent *eventPtr)
static void | PlFrameExposeEH (ClientData clientData, register XEvent *eventPtr)
static void | PlFrameLeaveEH (ClientData clientData, register XEvent *PL_UNUSED(eventPtr))
static int | scol0 (Tcl_Interp *interp, register PlFrame *plFramePtr, int i, const char *col, int *p_changed)
static int | scol1 (Tcl_Interp *interp, register PlFrame *plFramePtr, int i, const char *col, const char *pos, const char *rev, int *p_changed)
static int | ColorManip (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static int | Cmd (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static int | ConfigurePlFrame (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv, int flags)
static int | Draw (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static int | Info (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static int | Openlink (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static int | Closelink (Tcl_Interp *interp, register PlFrame *plFramePtr, int PL_UNUSED(argc), const char **PL_UNUSED(argv))
static int | process_data (Tcl_Interp *interp, register PlFrame *plFramePtr)
static int | Orient (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static int | Print (Tcl_Interp *interp, register PlFrame *plFramePtr, int PL_UNUSED(argc), const char **PL_UNUSED(argv))
static int | Page (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static int | Redraw (Tcl_Interp *PL_UNUSED(interp), register PlFrame *plFramePtr, int PL_UNUSED(argc), const char **PL_UNUSED(argv))
static int | Save (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static int | View (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static int | xScroll (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static int | yScroll (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static int | report (Tcl_Interp *interp, register PlFrame *plFramePtr, int argc, const char **argv)
static void | process_bop (void *clientData, int *PL_UNUSED(skip_driver_bop))
static void | process_eop (void *clientData, int *PL_UNUSED(skip_driver_eop))

## Variables
static Tk_ConfigSpec | configSpecs []

## Macro Definition Documentation

## ◆ BUFFER_FIFO

#define BUFFER_FIFO 1

Definition at line 66 of file plframe.c.

## ◆ DEBUGx

#define DEBUGx

Definition at line 48 of file plframe.c.

## ◆ DEF_PLFRAME_BG_COLOR

#define DEF_PLFRAME_BG_COLOR "Black"

Definition at line 200 of file plframe.c.

## ◆ DEF_PLFRAME_BG_MONO

#define DEF_PLFRAME_BG_MONO "White"

Definition at line 201 of file plframe.c.

## ◆ DEF_PLFRAME_BORDER_WIDTH

#define DEF_PLFRAME_BORDER_WIDTH "0"

Definition at line 202 of file plframe.c.

## ◆ DEF_PLFRAME_CURSOR

#define DEF_PLFRAME_CURSOR ( (char *) NULL )

Definition at line 203 of file plframe.c.

## ◆ DEF_PLFRAME_HEIGHT

#define DEF_PLFRAME_HEIGHT "0"

Definition at line 204 of file plframe.c.

## ◆ DEF_PLFRAME_RELIEF

#define DEF_PLFRAME_RELIEF "flat"

Definition at line 205 of file plframe.c.

## ◆ DEF_PLFRAME_WIDTH

#define DEF_PLFRAME_WIDTH "0"

Definition at line 206 of file plframe.c.

## ◆ FH_FIFO

#define FH_FIFO 0

Definition at line 70 of file plframe.c.

## ◆ FILECAST

#define FILECAST

## ◆ FreeProcArg

#define FreeProcArg ClientData

Definition at line 276 of file plframe.c.

## ◆ INSTALL_COLORMAP_IN_TK

#define INSTALL_COLORMAP_IN_TK

## ◆ NDEV

#define NDEV 100

Definition at line 62 of file plframe.c.

## ◆ NEED_PLDEBUG

#define NEED_PLDEBUG

Definition at line 50 of file plframe.c.

## ◆ plframe_cmd

#define plframe_cmd | ( |  | code | ) | if ( ( code ) == TCL_ERROR ) return ( TCL_ERROR );

Definition at line 74 of file plframe.c.

## ◆ REDRAW_PENDING

#define REDRAW_PENDING 4

Definition at line 194 of file plframe.c.

## ◆ REFRESH_PENDING

#define REFRESH_PENDING 1

Definition at line 192 of file plframe.c.

## ◆ RESIZE_PENDING

#define RESIZE_PENDING 2

Definition at line 193 of file plframe.c.

## ◆ Tk_Cursor

#define Tk_Cursor Cursor

Definition at line 80 of file plframe.c.

## ◆ UPDATE_H_SCROLLBAR

#define UPDATE_H_SCROLLBAR 16

Definition at line 196 of file plframe.c.

## ◆ UPDATE_V_SCROLLBAR

#define UPDATE_V_SCROLLBAR 8

Definition at line 195 of file plframe.c.

## Function Documentation

## ◆ Closelink() [1/2]

static int Closelink | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ Closelink() [2/2]

static int Closelink | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | PL_UNUSEDargc,
|  | const char ** | PL_UNUSEDargv
| ) |  |
| static

Definition at line 2639 of file plframe.c.

## ◆ Cmd() [1/2]

static int Cmd | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ Cmd() [2/2]

static int Cmd | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 2178 of file plframe.c.

## ◆ ColorManip() [1/2]

static int ColorManip | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ ColorManip() [2/2]

static int ColorManip | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 1943 of file plframe.c.

## ◆ ConfigurePlFrame() [1/2]

static int ConfigurePlFrame | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** | ,
|  | int |
| ) |  |
| static

## ◆ ConfigurePlFrame() [2/2]

static int ConfigurePlFrame | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv,
|  | int | flags
| ) |  |
| static

Definition at line 2244 of file plframe.c.

## ◆ CreateRband()

static void CreateRband | ( | PlFrame * | plFramePtr | ) |
| static

Definition at line 1430 of file plframe.c.

## ◆ CreateXhairs()

static void CreateXhairs | ( | PlFrame * | plFramePtr | ) |
| static

Definition at line 1294 of file plframe.c.

## ◆ DestroyPlFrame()

static void DestroyPlFrame | ( | FreeProcArg | clientData | ) |
| static

Definition at line 842 of file plframe.c.

## ◆ DestroyRband()

static void DestroyRband | ( | PlFrame * | plFramePtr | ) |
| static

Definition at line 1489 of file plframe.c.

## ◆ DestroyXhairs()

static void DestroyXhairs | ( | PlFrame * | plFramePtr | ) |
| static

Definition at line 1347 of file plframe.c.

## ◆ DisplayPlFrame()

static void DisplayPlFrame | ( | ClientData | clientData | ) |
| static

Definition at line 1682 of file plframe.c.

## ◆ Draw() [1/2]

static int Draw | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ Draw() [2/2]

static int Draw | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 2366 of file plframe.c.

## ◆ DrawRband()

static void DrawRband | ( | PlFrame * | plFramePtr,
|  | int | x0,
|  | int | y0
| ) |  |
| static

Definition at line 1520 of file plframe.c.

## ◆ DrawXhairs()

static void DrawXhairs | ( | PlFrame * | plFramePtr,
|  | int | x0,
|  | int | y0
| ) |  |
| static

Definition at line 1385 of file plframe.c.

## ◆ gbox()

static void gbox | ( | PLFLT * | xl,
|  | PLFLT * | yl,
|  | PLFLT * | xr,
|  | PLFLT * | yr,
|  | const char ** | argv
| ) |  |
| static

Definition at line 3454 of file plframe.c.

## ◆ Info() [1/2]

static int Info | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ Info() [2/2]

static int Info | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 2465 of file plframe.c.

## ◆ Install_cmap()

static void Install_cmap | ( | PlFrame * | plFramePtr | ) |
| static

Definition at line 1632 of file plframe.c.

## ◆ Openlink() [1/2]

static int Openlink | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ Openlink() [2/2]

static int Openlink | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 2527 of file plframe.c.

## ◆ Orient() [1/2]

static int Orient | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ Orient() [2/2]

static int Orient | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 2770 of file plframe.c.

## ◆ Page() [1/2]

static int Page | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ Page() [2/2]

static int Page | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 2916 of file plframe.c.

## ◆ plFrameCmd() [1/2]

int plFrameCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |

## ◆ plFrameCmd() [2/2]

int plFrameCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char ** | argv
| ) |  |

Definition at line 357 of file plframe.c.

## ◆ PlFrameConfigureEH() [1/2]

static void PlFrameConfigureEH | ( | ClientData | ,
|  | XEvent * |
| ) |  |
| static

## ◆ PlFrameConfigureEH() [2/2]

static void PlFrameConfigureEH | ( | ClientData | clientData,
|  | register XEvent * | eventPtr
| ) |  |
| static

Definition at line 928 of file plframe.c.

## ◆ PlFrameEnterEH()

static void PlFrameEnterEH | ( | ClientData | clientData,
|  | register XEvent * | eventPtr
| ) |  |
| static

Definition at line 1107 of file plframe.c.

## ◆ PlFrameExposeEH() [1/2]

static void PlFrameExposeEH | ( | ClientData | ,
|  | XEvent * |
| ) |  |
| static

## ◆ PlFrameExposeEH() [2/2]

static void PlFrameExposeEH | ( | ClientData | clientData,
|  | register XEvent * | eventPtr
| ) |  |
| static

Definition at line 1009 of file plframe.c.

## ◆ PlFrameInit()

static void PlFrameInit | ( | ClientData | clientData | ) |
| static

Definition at line 1565 of file plframe.c.

## ◆ PlFrameKeyEH()

static void PlFrameKeyEH | ( | ClientData | clientData,
|  | register XEvent * | eventPtr
| ) |  |
| static

Definition at line 1183 of file plframe.c.

## ◆ PlFrameLeaveEH() [1/2]

static void PlFrameLeaveEH | ( | ClientData | ,
|  | register XEvent * |
| ) |  |
| static

## ◆ PlFrameLeaveEH() [2/2]

static void PlFrameLeaveEH | ( | ClientData | clientData,
|  | register XEvent * | PL_UNUSEDeventPtr
| ) |  |
| static

Definition at line 1144 of file plframe.c.

## ◆ PlFrameMotionEH()

static void PlFrameMotionEH | ( | ClientData | clientData,
|  | register XEvent * | eventPtr
| ) |  |
| static

Definition at line 1073 of file plframe.c.

## ◆ PlFrameWidgetCmd()

static int PlFrameWidgetCmd | ( | ClientData | clientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 519 of file plframe.c.

## ◆ Print() [1/2]

static int Print | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ Print() [2/2]

static int Print | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | PL_UNUSEDargc,
|  | const char ** | PL_UNUSEDargv
| ) |  |
| static

Definition at line 2813 of file plframe.c.

## ◆ process_bop() [1/2]

static void process_bop | ( | void * | ,
|  | int * |
| ) |  |
| static

## ◆ process_bop() [2/2]

static void process_bop | ( | void * | clientData,
|  | int * | PL_UNUSEDskip_driver_bop
| ) |  |
| static

Definition at line 3354 of file plframe.c.

## ◆ process_data()

static int process_data | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr
| ) |  |
| static

Definition at line 2679 of file plframe.c.

## ◆ process_eop() [1/2]

static void process_eop | ( | void * | ,
|  | int * |
| ) |  |
| static

## ◆ process_eop() [2/2]

static void process_eop | ( | void * | clientData,
|  | int * | PL_UNUSEDskip_driver_eop
| ) |  |
| static

Definition at line 3369 of file plframe.c.

## ◆ ReadData()

static int ReadData | ( | ClientData | clientData,
|  | int | mask
| ) |  |
| static

Definition at line 2725 of file plframe.c.

## ◆ Redraw() [1/2]

static int Redraw | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ Redraw() [2/2]

static int Redraw | ( | Tcl_Interp * | PL_UNUSEDinterp,
|  | register PlFrame * | plFramePtr,
|  | int | PL_UNUSEDargc,
|  | const char ** | PL_UNUSEDargv
| ) |  |
| static

Definition at line 2956 of file plframe.c.

## ◆ report() [1/2]

static int report | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ report() [2/2]

static int report | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 3301 of file plframe.c.

## ◆ Save() [1/2]

static int Save | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ Save() [2/2]

static int Save | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 2980 of file plframe.c.

## ◆ scol0()

static int scol0 | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | i,
|  | const char * | col,
|  | int * | p_changed
| ) |  |
| static

Definition at line 1816 of file plframe.c.

## ◆ scol1()

static int scol1 | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | i,
|  | const char * | col,
|  | const char * | pos,
|  | const char * | rev,
|  | int * | p_changed
| ) |  |
| static

Definition at line 1862 of file plframe.c.

## ◆ UpdateHScrollbar()

static void UpdateHScrollbar | ( | register PlFrame * | plFramePtr | ) |
| static

Definition at line 3421 of file plframe.c.

## ◆ UpdateRband()

static void UpdateRband | ( | PlFrame * | plFramePtr | ) |
| static

Definition at line 1539 of file plframe.c.

## ◆ UpdateVScrollbar()

static void UpdateVScrollbar | ( | register PlFrame * | plFramePtr | ) |
| static

Definition at line 3389 of file plframe.c.

## ◆ UpdateXhairs()

static void UpdateXhairs | ( | PlFrame * | plFramePtr | ) |
| static

Definition at line 1410 of file plframe.c.

## ◆ View() [1/2]

static int View | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ View() [2/2]

static int View | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 3117 of file plframe.c.

## ◆ xScroll() [1/2]

static int xScroll | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ xScroll() [2/2]

static int xScroll | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 3233 of file plframe.c.

## ◆ yScroll() [1/2]

static int yScroll | ( | Tcl_Interp * | ,
|  | PlFrame * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ yScroll() [2/2]

static int yScroll | ( | Tcl_Interp * | interp,
|  | register PlFrame * | plFramePtr,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 3267 of file plframe.c.

## Variable Documentation

## ◆ configSpecs

Tk_ConfigSpec configSpecs[]
| static

Definition at line 210 of file plframe.c.